//读取图像引擎(用于测试)
#ifndef _TEST_IMG_ENGINE_H
#define _TEST_IMG_ENGINE_H

#include <iostream>
#include <chrono>
#include <cmath>
#include <utility>
#include <thread>
#include <chrono>
#include <functional>
#include <atomic>
#include <time.h>
#include <unistd.h>
#include <queue>
#include <mutex>
#include <semaphore.h>

#include "EngineBase.h"
#include "EngineFactory.h"
#include "MyYaml.h"
#include "myutils.h"
#include "AppCommon.h"

class TestImgEngine : public ai_matrix::EngineBase
{
public:
    TestImgEngine();
    ~TestImgEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

private:
    ai_matrix::DataSourceConfig dataSourceConfig_;
    std::string strPort0_;
    unsigned int width_, height_;
};


ENGINE_REGIST(TestImgEngine)


#endif //END OF _TEST_IMG_ENGINE_H